## $Id: browser.py 17991 2025-01-17 03:58:56Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""UI components for hostels and related components.
"""
import grok
from waeup.kofa.hostels.browser import (
    HostelAddFormPage, HostelDisplayFormPage, HostelManageFormPage)
from kofacustom.schoolcash.hostels.interfaces import ICustomHostel

class CustomHostelAddFormPage(HostelAddFormPage):
    """Add-form to add a hostel.
    """
    form_fields = grok.AutoFields(ICustomHostel).omit(
        'beds_reserved', 'hostel_id')

class CustomHostelDisplayFormPage(HostelDisplayFormPage):
    """ Page to display hostel data
    """
    form_fields = grok.AutoFields(ICustomHostel).omit('beds_reserved')

class CustomHostelManageFormPage(HostelManageFormPage):
    """ View to edit hostel data
    """
    form_fields = grok.AutoFields(ICustomHostel).omit('hostel_id', 'beds_reserved')
