## $Id: hostel.py 17991 2025-01-17 03:58:56Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
These are the custom hostels.
"""
import grok
from zope.component.interfaces import IFactory
from waeup.kofa.utils.helpers import attrs_to_fields
from waeup.kofa.hostels.hostel import HostelFactory, BedFactory, Hostel, Bed
from kofacustom.schoolcash.hostels.interfaces import ICustomHostel, ICustomBed

class CustomHostel(Hostel):
    """This is a hostel.
    """
    grok.implements(ICustomHostel)
    grok.provides(ICustomHostel)

CustomHostel = attrs_to_fields(CustomHostel)

class CustomBed(Bed):
    """This is a bed.
    """
    grok.implements(ICustomBed)
    grok.provides(ICustomBed)

CustomBed = attrs_to_fields(CustomBed)

class CustomHostelFactory(HostelFactory):
    """A factory for hostels.
    """

    def __call__(self, *args, **kw):
        return CustomHostel()

    def getInterfaces(self):
        return implementedBy(CustomHostel)

class CustomBedFactory(BedFactory):
    """A factory for beds.
    """

    def __call__(self, *args, **kw):
        return CustomBed()

    def getInterfaces(self):
        return implementedBy(CustomBed)
